## org.eclipse.uml2.uml
Interface Trigger

All Superinterfaces:
  Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, NamedElement, org.eclipse.emf.common.notify.Notifier

    public interface Trigger

extends NamedElement

A representation of the model object 'Trigger'. A trigger relates an event to a behavior that may affect an instance of the classifier. A trigger specification may be qualified by the port on which the event occurred.

The following features are supported:

- `Event`
- `Port`

See Also:
  `UMLPackage.getTrigger()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`Event` `getEvent()` Returns the value of the 'Event' reference
`Port` `getPort(java.lang.String name, Type type)` Retrieves the first `Port` with the specified 'Name', and 'Type' from the 'Port' reference list
`Port` `getPort(java.lang.String name, Type type, boolean ignoreCase)` Retrieves the first `Port` with the specified 'Name', and 'Type' from the 'Port' reference list
`org.eclipse.emf.common.util.EList<Port>` `getPorts()` Returns the value of the 'Port' reference list.
`void` `setEvent(Event value)` Sets the value of the '`Event`' reference

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getEvent

    Event getEvent()

  Returns the value of the 'Event' reference. The event that causes the trigger.

  Returns:
    the value of the 'Event' reference.
  See Also:
    `setEvent(Event)`, `UMLPackage.getTrigger_Event()`

### setEvent

    void setEvent(Event value)

  Sets the value of the '`Event`' reference.

  Parameters:
    `value` - the new value of the 'Event' reference.
  See Also:
    `getEvent()`

### getPorts

    org.eclipse.emf.common.util.EList<Port> getPorts()

  Returns the value of the 'Port' reference list. The list contents are of type `Port`. A optional port of the receiver object on which the behavioral feature is invoked.

  Returns:
    the value of the 'Port' reference list.
  See Also:
    `UMLPackage.getTrigger_Port()`

### getPort

    Port getPort(java.lang.String name,
                 Type type)

  Retrieves the first `Port` with the specified 'Name', and 'Type' from the 'Port' reference list.

  Parameters:
    `name` - The 'Name' of the `Port` to retrieve, or `null`.
    `type` - The 'Type' of the `Port` to retrieve, or `null`.
  Returns:
    The first `Port` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getPorts()`

### getPort

    Port getPort(java.lang.String name,
                 Type type,
                 boolean ignoreCase)

  Retrieves the first `Port` with the specified 'Name', and 'Type' from the 'Port' reference list.

  Parameters:
    `name` - The 'Name' of the `Port` to retrieve, or `null`.
    `type` - The 'Type' of the `Port` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
  Returns:
    The first `Port` with the specified 'Name', and 'Type', or `null`.
  See Also:
    `getPorts()`

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.